#
# spec file for package python-flatbuffers
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-flatbuffers
Version:        2.0.6
Release:        bp156.2.42
Summary:        The FlatBuffers serialization format for Python
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://google.github.io/flatbuffers/
Source0:        https://github.com/google/flatbuffers/archive/v%{version}.tar.gz#/flatbuffers-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Recommends:     python-numpy
BuildArch:      noarch
%python_subpackages

%description
Python runtime library for use with the Flatbuffers serialization format.

%prep
%setup -q -n flatbuffers-%{version}/python

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license ../LICENSE.txt
%{python_sitelib}/*

%changelog
* Thu May 12 2022 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 2.0.6
* Wed May 12 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 2.0.0
* Thu Apr 30 2020 Michal Vyskocil <mvyskocil@opensuse.org>
- Update to 1.12.0
  - An official Swift port! (including gRPC support).
  - A Kotlin port!
  - Object API and native JSON support for C#.
  - Object API and gRPC support for Python.
  - Object API for Go.
  - FlexBuffers for Java.
  - Many other fixes and smaller improvements, 247 commits since 1.11.0
- Packaging: Use tarball from GitHub release page
  https://github.com/google/flatbuffers/releases
* Tue Dec  3 2019 Tomáš Chvátal <tchvatal@suse.com>
- Use same tarball as it is equal between python and C code
* Tue Oct  8 2019 ecsos@opensuse.org
- Update to 1.11.0
* Wed Jan 30 2019 Todd R <toddrme2178@gmail.com>
- Add python bindings.
